#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityMonsterCumulativeCFGData
{
	//编号
	int mId;
	//累计星数
	int mStarNumber;
	//奖励物品ID
	std::vector<int> mAwardItemID;
	//奖励物品数量
	std::vector<int> mAwardItemCounts;
};

class M_ActivityMonsterCumulativeCFG
{
public:
private:
	static std::auto_ptr<M_ActivityMonsterCumulativeCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityMonsterCumulativeCFGData* GetData(int Id);
	boost::unordered_map<int, M_ActivityMonsterCumulativeCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityMonsterCumulativeCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityMonsterCumulativeCFGData> mMapData;
};
